package com.yunzhi.dianyang.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.dianyang.entity.TaRegister;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 报名表 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-02-24
 */
public interface ITaRegisterService extends IBaseService<TaRegister> {

    IPage<TaRegister> getPageBy(IPage<TaRegister> pg, String name, String phone, String personType, String area, LocalDateTime start, LocalDateTime end);

    List<TaRegister> getListBy(String name, String phone, String personType, String area, LocalDateTime start, LocalDateTime end);
}
