package com.yunzhi.dianyang.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.dianyang.entity.TaRegister;
import com.yunzhi.dianyang.mapper.TaRegisterMapper;
import com.yunzhi.dianyang.service.ITaRegisterService;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 报名表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-02-24
 */
@Service
public class TaRegisterServiceImpl extends BaseServiceImpl<TaRegisterMapper, TaRegister> implements ITaRegisterService {

    @Override
    public IPage<TaRegister> getPageBy(IPage<TaRegister> pg, String name, String phone, String personType, String area, LocalDateTime start, LocalDateTime end) {
        return baseMapper.getPageBy(pg, name, phone, personType, area, start, end);
    }

    @Override
    public List<TaRegister> getListBy(String name, String phone, String personType, String area, LocalDateTime start, LocalDateTime end) {
        return baseMapper.getListBy(name, phone, personType, area, start, end);
    }
}
