package com.yunzhi.dianyang.controller;

import com.yunzhi.dianyang.common.BaseController;
import com.yunzhi.dianyang.common.ResponseBean;
import com.yunzhi.dianyang.common.SMSCaptcha;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "通用")
@RestController
@RequestMapping("/")
public class CommController extends BaseController {

    @Autowired
    SMSCaptcha smsCaptcha;

    @ApiOperation("获取验证码")
    @GetMapping("/{plat}/captcha")
    public ResponseBean getCaptcha(@ApiParam("手机号") @RequestParam String phone) throws Exception {
        smsCaptcha.send(phone, smsCaptcha.randCaptcha(4));
        return ResponseBean.success("success");
    }

}
