package com.yunzhi.dianyang.mapper;

import com.yunzhi.dianyang.entity.TaPv;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.dianyang.vo.ChartParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * pv Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-02-24
 */
@Mapper
public interface TaPvMapper extends BaseMapper<TaPv> {

    List<ChartParam> statisPVDaily(@Param("startDate") String startDate, @Param("endDate") String endDate, @Param("days") Integer days);

    List<ChartParam> statisUVDaily(@Param("startDate") String startDate, @Param("endDate") String toString, @Param("days") Integer days);
}
